Package csb :: Package statistics :: Module maxent :: Class MaxentPosterior

[frames] | no frames]

# Class MaxentPosterior

source code

    object --+
             |
            MaxentPosterior

Object to hold and calculate the posterior (log)probability given an exponential family model and corresponding data.

Instance Methods

__call__(self, weights=None, n=100) Returns the log posterior likelihood | source code

__init__(self, model, data) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
| data
| model
| stats
Inherited from `object`: `__class__`

Method Details

### __call__(self, weights=None, n=100)
(Call operator)

source code

Returns the log posterior likelihood

Parameters:
  - `weights` - optional expansion coefficients of the model, if none are specified those of the model are used
  - `n` - number of integration point for calculating the partition function

### __init__(self, model, data)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `model` - MaxentModel
  - `data` - two dimensonal data
Overrides: object.__init__

Property Details

### data

Get Method:
  unreachable.data(self)
Set Method:
  unreachable.data(self, value)

### model

Get Method:
  unreachable.model(self)
Set Method:
  unreachable.model(self, value)

### stats

Get Method:
  unreachable.stats(self)